Last Comment Bug 740957 - Webapp installer doorhanger should show a standard icon, not the icon related to the app
: Webapp installer doorhanger should show a standard icon, not the icon related...
Status: VERIFIED FIXED
[marketplace-beta?]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Web Apps (show other bugs)
: Trunk
: All All
: -- normal
: Firefox 14
Assigned To: :Felipe Gomes (needinfo me!)
: Jason Smith [:jsmith]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 13:51 PDT by :Felipe Gomes (needinfo me!)
Modified: 2016-02-04 15:00 PST (History)
12 users (show)
jsmith: in‑moztrap+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
app install doorhanger (64.49 KB, image/png)
2012-03-30 13:51 PDT, :Felipe Gomes (needinfo me!)
no flags Details
app install doorhanger (64.64 KB, image/jpeg)
2012-03-30 13:56 PDT, :Felipe Gomes (needinfo me!)
shorlander: ui‑review+
Details
Patch (847 bytes, patch)
2012-04-12 02:43 PDT, :Felipe Gomes (needinfo me!)
dao+bmo: review+
Details | Diff | Review

Description :Felipe Gomes (needinfo me!) 2012-03-30 13:51:37 PDT
Created attachment 611018 [details]
app install doorhanger

As I understand it, for spoofing reasons the doorhanger that offers the web app installation should not display the app icon, but rather our standard icon that represents a "web app". Is this correct?

(note: "web app" icon display in this screenshot is not final)
Comment 1 :Felipe Gomes (needinfo me!) 2012-03-30 13:56:34 PDT
Created attachment 611020 [details]
app install doorhanger

(previous file was corrupted for some reason)
Comment 2 Jason Smith [:jsmith] 2012-04-02 09:42:16 PDT
Jen - Could you provide insight into this?
Comment 3 :Felipe Gomes (needinfo me!) 2012-04-11 16:11:46 PDT
Comment on attachment 611020 [details]
app install doorhanger

Can someone from UX take a look and sign off or comment on this change?
Comment 4 Jason Smith [:jsmith] 2012-04-11 16:12:41 PDT
Brian Dils, could you review this?
Comment 5 Jason Smith [:jsmith] 2012-04-11 16:37:14 PDT
My opinion for the UX - I'd either go all or nothing here for the icon. Either include the icon for the app or don't include an icon at all. Putting the box there if the icon is being removed I don't think is a good idea, as I don't think it creates any value-add.
Comment 6 Stephen Horlander [:shorlander] 2012-04-11 17:23:12 PDT
Comment on attachment 611020 [details]
app install doorhanger

The 64x64 icons for the notification panels are designed to be distinct and easily recognized in peripheral vision. See geolocation, password, etc. So the icon is desired.
Comment 7 Jason Smith [:jsmith] 2012-04-11 17:25:35 PDT
(In reply to Stephen Horlander from comment #6)
> Comment on attachment 611020 [details]
> app install doorhanger
> 
> The 64x64 icons for the notification panels are designed to be distinct and
> easily recognized in peripheral vision. See geolocation, password, etc. So
> the icon is desired.

If the icon is desired, then I would suggest a different icon to be used. The open box does not provide context to a user that they are installing an app. We need an icon that provides better context that an app is being installed.
Comment 8 Stephen Horlander [:shorlander] 2012-04-11 17:28:00 PDT
The icon for app installation is happening in bug 735680.
Comment 9 :Felipe Gomes (needinfo me!) 2012-04-12 02:43:25 PDT
Created attachment 614314 [details] [diff] [review]
Patch
Comment 10 Jason Smith [:jsmith] 2012-04-12 12:00:05 PDT
FYI - This bug does not fall in alignment with requirements in bug 738546. Please get clarity from product management on the direction for this, as fennec native & firefox need to be alignment on implementation for the icon on app install.
Comment 11 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-04-12 12:05:12 PDT
It's not clear who exactly you mean by "product management", but they do not have final veto power on what we end up doing. This is a collaboration, so "product management" needs to engage with the visual design team and the engineers fixing these bugs to determine the best solution. That goes both ways.
Comment 12 Jason Smith [:jsmith] 2012-04-12 12:20:03 PDT
(In reply to Gavin Sharp (use gavin@gavinsharp.com for email) from comment #11)
> It's not clear who exactly you mean by "product management", but they do not
> have final veto power on what we end up doing. This is a collaboration, so
> "product management" needs to engage with the visual design team and the
> engineers fixing these bugs to determine the best solution. That goes both
> ways.

I'm referring to Jen & Ragavan. Yeah, I agree collaboration needs to take place. The underlying concern I'm trying to watch out for here is consistency, given that the fennec native implementation is going to have the app icon on a prompt for install, but this bug is suggesting to do the opposite. We should aim for consistency across each implementation, given that falls in line with the apps vision for consistency.
Comment 13 Stephen Horlander [:shorlander] 2012-04-12 12:53:09 PDT
While I am certainly a proponent of cross product consistency, we also need to be consistent internally. In this case that means this should look and act like other notification panels. Which means a clear and consistent notification icon, notification text and button labeled with the action to take.

If we need to also include the icon of the application that is asking to be installed, that's ok, it just can't take the place of the notification icon. So if that is a requirement then we have more design work to do to figure out how to include that.
Comment 14 Madhava Enros [:madhava] 2012-04-12 13:06:25 PDT
(In reply to Jason Smith from comment #12)

> I'm referring to Jen & Ragavan. Yeah, I agree collaboration needs to take
> place. The underlying concern I'm trying to watch out for here is
> consistency, given that the fennec native implementation is going to have
> the app icon on a prompt for install, but this bug is suggesting to do the
      --------------------------------
> opposite. We should aim for consistency across each implementation, given
> that falls in line with the apps vision for consistency.

It is? Fennec's notification boxes don't include icons at the moment.

Jason - you're quite right - we should get some agreement on this. Can you post the bug number or wiki page for the mobile designs?
Comment 15 Jason Smith [:jsmith] 2012-04-12 13:22:07 PDT
(In reply to Madhava Enros [:madhava] from comment #14)
> It is? Fennec's notification boxes don't include icons at the moment.

Right. It's coming down the pipeline though. See bug 738546.

> Jason - you're quite right - we should get some agreement on this. Can you
> post the bug number or wiki page for the mobile designs?

bug 738546 has some proposed UI designs Harald is working on.
Comment 16 Jason Smith [:jsmith] 2012-04-12 14:12:14 PDT
FYI - Felipe you are good to go. See bug 738546.
Comment 17 :Felipe Gomes (needinfo me!) 2012-04-12 18:32:18 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/9a4a992d1bef
Comment 18 Marco Bonardo [::mak] 2012-04-13 04:35:17 PDT
https://hg.mozilla.org/mozilla-central/rev/9a4a992d1bef
Comment 19 Jason Smith [:jsmith] 2012-04-15 14:49:26 PDT
Verified on Nightly.

Note You need to log in before you can comment on or make changes to this bug.